- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.rules.list
Lists Rules.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/rules
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of rules. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of rules to return. The service may return fewer than this value. If unspecified, at most 100 rules will be returned. The maximum value is 1000, or 5000 if |
pageToken |
A page token, received from a previous When paginating, all other parameters provided to |
view |
view indicates the scope of fields to populate for the Rule being returned. If unspecified, defaults to |
filter |
Only the following filters are allowed: "referenceLists:{reference_list_name}" "dataTables:{dataTableName}" "displayName:{displayName}" |
orderBy |
Optional. The sort order of the rules. If unspecified, rules will be sorted by revisionCreateTime desc ruleId asc. Sorting is supported on a single field only. Composite sort keys are not supported. See https://google.aip.dev/132#ordering for more details. Supported fields: "archived", "alertingEnabled", "author", "createTime", "currentDayDetectionCount", "displayName", "executionState", "liveModeEnabled", "revisionCreateTime", "ruleId", "ruleOwner", "severity", "type". Example: "displayName desc" |
skip |
Optional. The number of rules to skip in the response. When a |
Request body
The request body must be empty.
Response body
Response message for rules.list method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"rules": [
{
object ( |
| Fields | |
|---|---|
rules[] |
The rules from the specified instance. |
nextPageToken |
A token, which can be sent as |
totalSize |
An estimate of the total number of rules that match the query. This value is only populated when the |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.rules.list
For more information, see the IAM documentation.